# genie.spec.  Generated from genie.spec_in by configure.
# $Id: genie.spec_in 5801 2011-12-05 10:07:00Z Freddie Akeroyd $
# Template for GENIE RPM SPEC file
#
Summary: ISIS Open GENIE Data Analysis and Visualisation Package
Name: genie
Conflicts: genie-tcl
#Requires: nexus
Version: 2.2.61
# Release is the number of times this version of the software was 
# built into an RPM file; it should be incremented each RPM build and
# then reset to 1 when a new version of the software is released
Release: 1
License: GPL
# Group: there is more than one choice for this - maybe we need to split
# nexus into separate packages (libraries + apps)
Group: Development/Libraries
#Group: Development/Tools
#Source: http://www.isis.rl.ac.uk/GenieBinaries/genie-2.2-x86_64-unknown-linux-gnu.tar.gz
Source: http://www.isis.rl.ac.uk/GenieBinaries/genie-2.2.61-x86_64-unknown-linux-gnu.tar.gz
URL: http://www.isis.rl.ac.uk/OpenGENIE/
#Distribution:
#Icon: genie.xpm
Vendor: CCLRC ISIS Facility
Packager: ISIS Computer SUPPORT <isissupport@rl.ac.uk>
# Prefix allows our package to be relocatable i.e. installable in 
# other than just the /usr/local directory
Prefix: /usr/local
# BuildRoot is the root for software installation
# this value will not usually be used, but something must
# be specified here to allow   rpm --buildroot   to be used later
# (it will get used for a   rpmbuild --recompile  of the the src.rpm)
BuildRoot: /tmp/genie-2.2
%description
ISIS Open GENIE is a powerful, multi-platform neutron data analysis
and visualisation package. As well as reading ISIS RAW and VMS GENIE-II
intermediate files it provides access to NeXus data files 
(http://www.nexus.anl.gov/) and also includes a flexible 
ASCII file reader.
%prep
%setup -n genie-2.2.61-x86_64-unknown-linux-gnu
%build
# RPM_BUILD_ROOT - where to install software
if ! test -z "$RPM_BUILD_ROOT"; then
    env CC=gcc CXX=g++ ./configure --prefix=$RPM_BUILD_ROOT/usr/local
else
    env CC=gcc CXX=g++ ./configure
fi
%install
# may want to consider   make DESTDIR=$RPM_BUILD_ROOT install    sometime
# as automake supports it; configure --prefix is OK for now though
make install
if [ "$RPM_INSTALL_PREFIX" != "" ]; then
    INSTALL_PREFIX=$RPM_INSTALL_PREFIX
else
    INSTALL_PREFIX=/usr/local
fi
( cd $RPM_BUILD_ROOT/$INSTALL_PREFIX/bin; for i in genie rgenie gmodule; do \
  sed -e "s|^prefix=.*|prefix=$INSTALL_PREFIX|" $i > /tmp/genie.$$; \
  mv /tmp/genie.$$ $i; chmod 0755 $i; done )
( cd ${RPM_BUILD_ROOT}${INSTALL_PREFIX}/man/man1; for i in *; do \
  sed -e "s|${RPM_BUILD_ROOT}${INSTALL_PREFIX}|${INSTALL_PREFIX}|" $i > /tmp/genie.$$; \
  mv /tmp/genie.$$ $i; chmod 0644 $i; done )
%files
#%doc README NEWS ChangeLog AUTHORS COPYING INSTALL
%docdir /usr/local/genie/doc
/usr/local/lib
/usr/local/bin
/usr/local/man
/usr/local/genie
%clean
# the rm line can be dangerous - build_root might be / !
# leave commented out for moment, but we need to implement
# some cleaning mechanism if we use alternative build roots
###rm -fr $RPM_BUILD_ROOT
%post
if test `whoami` = root; then ldconfig; fi
# also need to sort out nxbuild if we are not installed to /usr/local
%postun
if test `whoami` = root; then ldconfig; fi
# %changelog date format as per  `date +"%a %d %b %Y"`
# first line should be   date  user  email
%changelog
* Thu Nov 17 2006 Freddie Akeroyd <F.A.Akeroyd@rl.ac.uk>
- nexus and hdf now linked statically and so no longer a dependency
* Tue Dec 13 2005 Freddie Akeroyd <F.A.Akeroyd@rl.ac.uk>
- Require nexus to be installed
* Wed Oct 26 2005 Freddie Akeroyd <F.A.Akeroyd@rl.ac.uk>
- Now build separate genie and genie-tcl packages
* Mon Aug  8 2005 Freddie Akeroyd <F.A.Akeroyd@rl.ac.uk>
- Add back in TCL support (genie-2.2.56)
* Fri Mar 19 2004 Freddie Akeroyd <F.A.Akeroyd@rl.ac.uk>
- First version of RPM install kit (genie-2.2.54)
